import type { PropType } from '@opentinyvue/vue-common';
export type DirectionType = 'horizontal' | 'vertical';
export type BorderStyleType = 'dashed' | 'solid' | 'dotted';
export type ContentPositionType = 'left' | 'right' | 'center';
export declare const $constants: {};
export declare const dividerProps: {
    _constants: {
        type: ObjectConstructor;
        default: () => {};
    };
    direction: {
        type: PropType<DirectionType>;
        default: string;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    borderStyle: {
        type: PropType<BorderStyleType>;
        default: string;
    };
    contentPosition: {
        type: PropType<ContentPositionType>;
        default: string;
    };
    contentColor: {
        type: StringConstructor;
        default: string;
    };
    contentBackgroundColor: {
        type: StringConstructor;
        default: string;
    };
    fontSize: {
        type: StringConstructor;
        default: () => string;
    };
    margin: StringConstructor;
    offset: StringConstructor;
    height: StringConstructor;
    status: {
        type: StringConstructor;
        values: string[];
        default: () => string;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
};
declare const _default: any;
export default _default;
